godo.Monitoring.GetDropletLoad5()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Monitoring.GetDropletLoad5(ctx context.Context, args *godo.DropletMetricsRequest) (*godo.MetricsResponse, *godo.Response, error)

Description

GetDropletLoad5 retrieves Droplet load 5 metrics.

This method sends a GET request to /v2/monitoring/metrics/droplet/load_5.

Parameters

args *godo.DropletMetricsRequest required

Fields of godo.DropletMetricsRequest

DropletMetricsRequest holds the information needed to retrieve Droplet various metrics.

HostID string
Start time.Time
End time.Time

Returns

*godo.MetricsResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.MetricsResponse

MetricsResponse holds a Metrics query response.

Status string

JSON key: status

Data godo.MetricsData

JSON key: data

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Monitoring.GetDropletLoad5(ctx, &godo.DropletMetricsRequest{
		HostID: "<your-host-id>",
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/monitoring/metrics/droplet/load_5 in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.